CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us

CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.

Back to Threads Reply to Thread

"CRITICAL" error hangs install of any app on 20.0.2 and Pop!_OS 20.10

Hello,

I'm running CrossOver 20.0.2 on Pop!_OS 20.10 (based on the same Ubuntu version).

When I attempt to install an app in CrossOver, the program says it has to download some files for things to work properly. I click "yes" to proceed, but once CrossOver reports that it is "preparing the system for this application," it doesn't get any further. The progress bar still animates back and forth, but nothing else happens and I have to quit CrossOver manually.

I decided to start CrossOver via the terminal to see if the application returned an error, and lo and behold, it did. It is as follows:

(crossover:29995): VTE-CRITICAL *: 00:06:44.181: void vte_terminal_spawn_with_fds_async(VteTerminal, VtePtyFlags, const char, const char const, const char const, const int, int, const int, int, GSpawnFlags, GSpawnChildSetupFunc, gpointer, GDestroyNotify, int, GCancellable, VteTerminalSpawnAsyncCallback, gpointer): assertion 'callback' failed

Any ideas on what this means or how to fix it? I just sent in a support request, but I wanted to see if I could get some answers here before Codeweavers answers it.

Luke

Hi there,

This is a known issue, and we have a bug filed to track a fix. In the meantime, you can try following the instructions here to run ./cxfix --auto manually: https://www.codeweavers.com/support/wiki/diag

Thanks,
Meredith

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

CodeWeavers or its third-party tools process personal data (e.g. browsing data or IP addresses) and use cookies or other identifiers, which are necessary for its functioning and required to achieve the purposes illustrated in our Privacy Policy. You accept the use of cookies or other identifiers by clicking the Acknowledge button.
Please Wait...
eyJjb3VudHJ5IjoiVVMiLCJsYW5nIjoiZW4iLCJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNzA4NjEzODE4LCJjc3JmX3Rva2VuIjoiN1VtRXJUM244SHE4Zk10OSIsImdkcHIiOjB9